FullWrtParserInternal::State Struct Reference documentation

FullWrtParserInternal::State Struct Reference

Internal: the state of a FullWrtParser. More...

## Public Member Functions
| State ()
| constructor
bool | addCorrespondance (int docId, int fileId)
| insert a docId fileId in the correspondance map
int | getFileZoneId (int docId) const
| return the file zone id ( if found or -1)

## Public Attributes
bool | m_pageSpanSet
| a flag to know if the page span has been filled
int | m_zoneFlagsId [3]
| the list of main zone flags id
FullWrtStruct::EntryPtr | m_fileZoneList
| the list of file zone position
FullWrtStruct::EntryPtr | m_fileZoneFlagsList
| the list of file zone flags
std::vector< DocZoneStruct > | m_docZoneList
| the list of the documents zone list
std::map< int, int > | m_docFileIdMap
| the correspondance doc id -> file id
std::map< int, int > | m_fileDocIdMap
| the correspondance file id -> doc id
int | m_biblioId
| the bibliography id
std::multimap< int, FullWrtStruct::EntryPtr > | m_entryMap
| zoneId -> entry
std::map< int, int > | m_variableRedirectMap
| redirection docId -> variable docId
std::map< int, ReferenceCalledData > | m_referenceRedirectMap
| redirection docId -> reference docId
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a FullWrtParser.

## Constructor & Destructor Documentation

## ◆ State()

FullWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addCorrespondance()

bool FullWrtParserInternal::State::addCorrespondance | ( | int | docId,
|  | int | fileId )
| inline

insert a docId fileId in the correspondance map

## ◆ getFileZoneId()

int FullWrtParserInternal::State::getFileZoneId | ( | int | docId | ) | const
| inline

return the file zone id ( if found or -1)

## Member Data Documentation

## ◆ m_actPage

int FullWrtParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_biblioId

int FullWrtParserInternal::State::m_biblioId

the bibliography id

Referenced by State().

## ◆ m_docFileIdMap

std::map<int, int> FullWrtParserInternal::State::m_docFileIdMap

the correspondance doc id -> file id

Referenced by addCorrespondance(), getFileZoneId(), and State().

## ◆ m_docZoneList

std::vector<DocZoneStruct> FullWrtParserInternal::State::m_docZoneList

the list of the documents zone list

Referenced by addCorrespondance(), and State().

## ◆ m_entryMap

std::multimap<int, FullWrtStruct::EntryPtr > FullWrtParserInternal::State::m_entryMap

zoneId -> entry

Referenced by addCorrespondance(), and State().

## ◆ m_fileDocIdMap

std::map<int, int> FullWrtParserInternal::State::m_fileDocIdMap

the correspondance file id -> doc id

Referenced by addCorrespondance(), and State().

## ◆ m_fileZoneFlagsList

FullWrtStruct::EntryPtr FullWrtParserInternal::State::m_fileZoneFlagsList

the list of file zone flags

Referenced by State().

## ◆ m_fileZoneList

FullWrtStruct::EntryPtr FullWrtParserInternal::State::m_fileZoneList

the list of file zone position

Referenced by State().

## ◆ m_footerHeight

int FullWrtParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## ◆ m_headerHeight

int FullWrtParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## ◆ m_numPages

int FullWrtParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_pageSpanSet

bool FullWrtParserInternal::State::m_pageSpanSet

a flag to know if the page span has been filled

Referenced by State().

## ◆ m_referenceRedirectMap

std::map<int, ReferenceCalledData> FullWrtParserInternal::State::m_referenceRedirectMap

redirection docId -> reference docId

Referenced by State().

## ◆ m_variableRedirectMap

std::map<int, int> FullWrtParserInternal::State::m_variableRedirectMap

redirection docId -> variable docId

Referenced by State().

## ◆ m_zoneFlagsId

int FullWrtParserInternal::State::m_zoneFlagsId[3]

the list of main zone flags id

Referenced by State().

The documentation for this struct was generated from the following file:

- FullWrtParser.cxx